﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SL_DataGrid_FilteredRowCollection
{
    public partial class MainPage : UserControl
    {
        NameList dataList;
        public MainPage()
        {
            InitializeComponent();
            dataList = new NameList();
            c1DataGrid1.ItemsSource = dataList;
        }

        private void filterBtn_Click(object sender, RoutedEventArgs e)
        {
            var list = from rw in c1DataGrid1.Rows select rw.DataItem as PersonName;
            var filterList = from rw in dataList where !list.Contains(rw) select rw;

            MessageBox.Show("Number of Records Filtered Out: " + filterList.Count().ToString());
        }
    }

    public class NameList : ObservableCollection<PersonName>
    {
        public NameList()
            : base()
        {
            Add(new PersonName("Willa", "Cather"));
            Add(new PersonName("Isak", "Dinesen"));
            Add(new PersonName("Victor", "Hugo"));
            Add(new PersonName("Jules", "Verne"));
            Add(new PersonName("William", "Thetcher"));
        }
    }

    public class PersonName
    {
        private string firstName;
        private string lastName;

        public PersonName(string first, string last)
        {
            this.firstName = first;
            this.lastName = last;
        }

        public string FirstName
        {
            get { return firstName; }
            set { firstName = value; }
        }

        public string LastName
        {
            get { return lastName; }
            set { lastName = value; }
        }
    }
}
